<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://codecanyon.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Wcreferralscheme
 * @subpackage Wcreferralscheme/public/partials
 */
 
$user_id = get_current_user_id();
$referralpoint = get_option( 'wc_referralsetting_point', true );
$referral_codes = get_user_meta( $user_id, 'user_referral_codes', true);
$getfeferralcodes = get_user_meta($user_id,'refarral_totalpoint', true );
if(empty($referral_codes)):
    $chars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    $res = "";
    for ($i = 0; $i < 10; $i++) {
         $res .= $chars[mt_rand(0, strlen($chars)-1)];
    }  
$updated = update_user_meta( $user_id, 'user_referral_codes', $res );
$current_user = wp_get_current_user();
$to = $current_user->user_email;
$subject = esc_html__('Share Your Referral Code','Wcreferralscheme');
$message = esc_html__('Share Web Site Url','Wcreferralscheme').esc_url(home_url()).esc_html__('& Referral Code:','Wcreferralscheme').esc_html($res);
if($updated):
  wp_mail( $to, $subject, $message );
endif;
else:
  echo '<h2>'.esc_html__('Your Referral Code :','wcreferralscheme');
  echo esc_html($referral_codes).'</h2>';
endif;
if(!empty($getfeferralcodes)):
  echo "<h2>".esc_html__('All Point :-','wcreferralscheme');
  echo esc_html($getfeferralcodes)."</h2>";
endif;
$srn = 1;
$frist = 0;
if(!empty($referral_codes)):
global $wpdb;
$results = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}usermeta WHERE meta_key ='referralcode' AND meta_value ='{$referral_codes}'");
?>
<div class="porto_total_point">
    <h4><?php esc_html_e('Share Referral code to earn points','wcreferralscheme'); ?></h4>
    <table style="width:100%">
      <tr>
        <th><?php esc_html_e('sr.no','wcreferralscheme'); ?></th>
        <th><?php esc_html_e('Referral Email','wcreferralscheme'); ?></th> 
        <th><?php esc_html_e('Point','wcreferralscheme'); ?></th>
      </tr>
<?php
 foreach($results as $userdata){ 
    $results = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}users WHERE id={$userdata->user_id}");
    foreach($results as $userdata){ 
 ?>
 <tr>
 <td><?php echo esc_html($srn); ?></td>
 <td><?php  echo esc_html($userdata->user_email); ?></td> 
 <td><?php echo esc_html($referralpoint); ?></td>
 </tr>  
 <?php
   $frist = $frist + $referralpoint;
  $srn++;
  }
 }
endif;
?>
</table>
</div>
<?php
$referral_usecodes = get_user_meta($user_id, 'enter_referralcode', true);
$srn = 1;
$second = 0;
if(!empty($referral_usecodes)):
    global $wpdb;
    $results = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}usermeta WHERE meta_key ='user_referral_codes' AND meta_value ='{$referral_usecodes}'");
?>
<div class="porto_total_point">
    <h4><?php esc_html_e('Earned points by using below referral code'    ,'wcreferralscheme'); ?></h4>
    <table style="width:100%">
      <tr>
        <th><?php esc_html_e('sr.no','wcreferralscheme'); ?></th>
        <th><?php esc_html_e('Referral Email','wcreferralscheme'); ?></th> 
        <th><?php esc_html_e('Point','wcreferralscheme'); ?></th>
      </tr> 
    <?php
    foreach($results as $userdata){ 
       $results = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}users WHERE id={$userdata->user_id}");
       foreach($results as $userdata){ 
   ?>
    <tr>
    <td><?php echo $srn; ?></td>
    <td><?php  echo $userdata->user_email; ?></td> 
    <td><?php echo esc_html($referralpoint); ?></td>
    </tr>  
    <?php
    $second +=$referralpoint; 
    $srn++;
    }
  }
?>
</table>
</div>
<?php
endif;
$totalpoint = $frist + $second;
if(!empty($totalpoint)):
 update_user_meta($user_id,'refarral_totalpoint',$totalpoint);
endif;